type Query {
  trackerStore(
    senderId: String!
    projectId: String!
    after: Int
    maxEvents: Int
  ): trackerStoreInfo
}

type Mutation {
  insertTrackerStore(
    senderId: String!
    projectId: String!
    tracker: Any
    env: Environment = development
  ): trackerStoreInfo!
  updateTrackerStore(
    senderId: String!
    projectId: String!
    tracker: Any
    env: Environment = development
    overwriteEvents: Boolean
  ): trackerStoreInfo!
  insertUtterance(
    senderId: String!
    projectId: String!
    event: Any
    env: Environment = development
  ): status!
}

type trackerStoreInfo {
  tracker: Any
  lastIndex: Int
  lastTimestamp: Float
}

type status {
  status: String
}

enum Environment { # typo!!!
  development
  production
  staging
}
